Update Capture Settings Endpoint
curl --request PUT \
--url https://api.peachdeskai.com/api/v1/voice/settings/captures \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"stt_model": "<string>",
"language": "<string>",
"stt_task": "<string>",
"stt_beam_size": 3,
"stt_vocabulary": "<string>",
"auto_refine": true,
"llm_model": "<string>",
"smart_cleanup": true,
"self_correction": true,
"preserve_technical": true,
"allow_auto_paste": true,
"default_playback_voice_id": "<string>",
"hotkey_enabled": true,
"chord_push_to_talk_keys": [
"<string>"
],
"chord_toggle_to_talk_keys": [
"<string>"
]
}
'import requests
url = "https://api.peachdeskai.com/api/v1/voice/settings/captures"
payload = {
"stt_model": "<string>",
"language": "<string>",
"stt_task": "<string>",
"stt_beam_size": 3,
"stt_vocabulary": "<string>",
"auto_refine": True,
"llm_model": "<string>",
"smart_cleanup": True,
"self_correction": True,
"preserve_technical": True,
"allow_auto_paste": True,
"default_playback_voice_id": "<string>",
"hotkey_enabled": True,
"chord_push_to_talk_keys": ["<string>"],
"chord_toggle_to_talk_keys": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stt_model: '<string>',
language: '<string>',
stt_task: '<string>',
stt_beam_size: 3,
stt_vocabulary: '<string>',
auto_refine: true,
llm_model: '<string>',
smart_cleanup: true,
self_correction: true,
preserve_technical: true,
allow_auto_paste: true,
default_playback_voice_id: '<string>',
hotkey_enabled: true,
chord_push_to_talk_keys: ['<string>'],
chord_toggle_to_talk_keys: ['<string>']
})
};
fetch('https://api.peachdeskai.com/api/v1/voice/settings/captures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/voice/settings/captures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'stt_model' => '<string>',
'language' => '<string>',
'stt_task' => '<string>',
'stt_beam_size' => 3,
'stt_vocabulary' => '<string>',
'auto_refine' => true,
'llm_model' => '<string>',
'smart_cleanup' => true,
'self_correction' => true,
'preserve_technical' => true,
'allow_auto_paste' => true,
'default_playback_voice_id' => '<string>',
'hotkey_enabled' => true,
'chord_push_to_talk_keys' => [
'<string>'
],
'chord_toggle_to_talk_keys' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/voice/settings/captures"
payload := strings.NewReader("{\n \"stt_model\": \"<string>\",\n \"language\": \"<string>\",\n \"stt_task\": \"<string>\",\n \"stt_beam_size\": 3,\n \"stt_vocabulary\": \"<string>\",\n \"auto_refine\": true,\n \"llm_model\": \"<string>\",\n \"smart_cleanup\": true,\n \"self_correction\": true,\n \"preserve_technical\": true,\n \"allow_auto_paste\": true,\n \"default_playback_voice_id\": \"<string>\",\n \"hotkey_enabled\": true,\n \"chord_push_to_talk_keys\": [\n \"<string>\"\n ],\n \"chord_toggle_to_talk_keys\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.peachdeskai.com/api/v1/voice/settings/captures")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"stt_model\": \"<string>\",\n \"language\": \"<string>\",\n \"stt_task\": \"<string>\",\n \"stt_beam_size\": 3,\n \"stt_vocabulary\": \"<string>\",\n \"auto_refine\": true,\n \"llm_model\": \"<string>\",\n \"smart_cleanup\": true,\n \"self_correction\": true,\n \"preserve_technical\": true,\n \"allow_auto_paste\": true,\n \"default_playback_voice_id\": \"<string>\",\n \"hotkey_enabled\": true,\n \"chord_push_to_talk_keys\": [\n \"<string>\"\n ],\n \"chord_toggle_to_talk_keys\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/voice/settings/captures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"stt_model\": \"<string>\",\n \"language\": \"<string>\",\n \"stt_task\": \"<string>\",\n \"stt_beam_size\": 3,\n \"stt_vocabulary\": \"<string>\",\n \"auto_refine\": true,\n \"llm_model\": \"<string>\",\n \"smart_cleanup\": true,\n \"self_correction\": true,\n \"preserve_technical\": true,\n \"allow_auto_paste\": true,\n \"default_playback_voice_id\": \"<string>\",\n \"hotkey_enabled\": true,\n \"chord_push_to_talk_keys\": [\n \"<string>\"\n ],\n \"chord_toggle_to_talk_keys\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"stt_model": "lipi",
"language": "auto",
"stt_task": "transcribe",
"stt_beam_size": 1,
"stt_vocabulary": "",
"auto_refine": true,
"llm_model": "BRAHMA-30B-FP8",
"smart_cleanup": true,
"self_correction": true,
"preserve_technical": true,
"allow_auto_paste": true,
"default_playback_voice_id": "<string>",
"hotkey_enabled": false,
"chord_push_to_talk_keys": [
"<string>"
],
"chord_toggle_to_talk_keys": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Settings & Pronunciation
Update Capture Settings
Update Capture Settings Endpoint
PUT
/
settings
/
captures
Update Capture Settings Endpoint
curl --request PUT \
--url https://api.peachdeskai.com/api/v1/voice/settings/captures \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"stt_model": "<string>",
"language": "<string>",
"stt_task": "<string>",
"stt_beam_size": 3,
"stt_vocabulary": "<string>",
"auto_refine": true,
"llm_model": "<string>",
"smart_cleanup": true,
"self_correction": true,
"preserve_technical": true,
"allow_auto_paste": true,
"default_playback_voice_id": "<string>",
"hotkey_enabled": true,
"chord_push_to_talk_keys": [
"<string>"
],
"chord_toggle_to_talk_keys": [
"<string>"
]
}
'import requests
url = "https://api.peachdeskai.com/api/v1/voice/settings/captures"
payload = {
"stt_model": "<string>",
"language": "<string>",
"stt_task": "<string>",
"stt_beam_size": 3,
"stt_vocabulary": "<string>",
"auto_refine": True,
"llm_model": "<string>",
"smart_cleanup": True,
"self_correction": True,
"preserve_technical": True,
"allow_auto_paste": True,
"default_playback_voice_id": "<string>",
"hotkey_enabled": True,
"chord_push_to_talk_keys": ["<string>"],
"chord_toggle_to_talk_keys": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stt_model: '<string>',
language: '<string>',
stt_task: '<string>',
stt_beam_size: 3,
stt_vocabulary: '<string>',
auto_refine: true,
llm_model: '<string>',
smart_cleanup: true,
self_correction: true,
preserve_technical: true,
allow_auto_paste: true,
default_playback_voice_id: '<string>',
hotkey_enabled: true,
chord_push_to_talk_keys: ['<string>'],
chord_toggle_to_talk_keys: ['<string>']
})
};
fetch('https://api.peachdeskai.com/api/v1/voice/settings/captures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/voice/settings/captures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'stt_model' => '<string>',
'language' => '<string>',
'stt_task' => '<string>',
'stt_beam_size' => 3,
'stt_vocabulary' => '<string>',
'auto_refine' => true,
'llm_model' => '<string>',
'smart_cleanup' => true,
'self_correction' => true,
'preserve_technical' => true,
'allow_auto_paste' => true,
'default_playback_voice_id' => '<string>',
'hotkey_enabled' => true,
'chord_push_to_talk_keys' => [
'<string>'
],
'chord_toggle_to_talk_keys' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/voice/settings/captures"
payload := strings.NewReader("{\n \"stt_model\": \"<string>\",\n \"language\": \"<string>\",\n \"stt_task\": \"<string>\",\n \"stt_beam_size\": 3,\n \"stt_vocabulary\": \"<string>\",\n \"auto_refine\": true,\n \"llm_model\": \"<string>\",\n \"smart_cleanup\": true,\n \"self_correction\": true,\n \"preserve_technical\": true,\n \"allow_auto_paste\": true,\n \"default_playback_voice_id\": \"<string>\",\n \"hotkey_enabled\": true,\n \"chord_push_to_talk_keys\": [\n \"<string>\"\n ],\n \"chord_toggle_to_talk_keys\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.peachdeskai.com/api/v1/voice/settings/captures")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"stt_model\": \"<string>\",\n \"language\": \"<string>\",\n \"stt_task\": \"<string>\",\n \"stt_beam_size\": 3,\n \"stt_vocabulary\": \"<string>\",\n \"auto_refine\": true,\n \"llm_model\": \"<string>\",\n \"smart_cleanup\": true,\n \"self_correction\": true,\n \"preserve_technical\": true,\n \"allow_auto_paste\": true,\n \"default_playback_voice_id\": \"<string>\",\n \"hotkey_enabled\": true,\n \"chord_push_to_talk_keys\": [\n \"<string>\"\n ],\n \"chord_toggle_to_talk_keys\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/voice/settings/captures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"stt_model\": \"<string>\",\n \"language\": \"<string>\",\n \"stt_task\": \"<string>\",\n \"stt_beam_size\": 3,\n \"stt_vocabulary\": \"<string>\",\n \"auto_refine\": true,\n \"llm_model\": \"<string>\",\n \"smart_cleanup\": true,\n \"self_correction\": true,\n \"preserve_technical\": true,\n \"allow_auto_paste\": true,\n \"default_playback_voice_id\": \"<string>\",\n \"hotkey_enabled\": true,\n \"chord_push_to_talk_keys\": [\n \"<string>\"\n ],\n \"chord_toggle_to_talk_keys\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"stt_model": "lipi",
"language": "auto",
"stt_task": "transcribe",
"stt_beam_size": 1,
"stt_vocabulary": "",
"auto_refine": true,
"llm_model": "BRAHMA-30B-FP8",
"smart_cleanup": true,
"self_correction": true,
"preserve_technical": true,
"allow_auto_paste": true,
"default_playback_voice_id": "<string>",
"hotkey_enabled": false,
"chord_push_to_talk_keys": [
"<string>"
],
"chord_toggle_to_talk_keys": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Capture Settings Endpoint
PUT /api/voice/settings/captures
All requests authenticate with your PeachDesk API key in the X-API-Key header (an interactive session token in Authorization: Bearer also works тАФ see Authentication). Use the playground to send a live request and inspect the response.Authorizations
ApiKeyAuthSessionAuth
Organization API key (bibha_...). Takes precedence over the session credential, and is refused outright on user-session-only and super-admin routes.
Body
application/json
Partial update for capture settings тАФ every field is optional.
Pattern:
^(lipi|lipi-fast|lipi-bharat|lipi-live)$Pattern:
^(transcribe|translate)$Required range:
1 <= x <= 5Maximum string length:
2000Pattern:
^(BRAHMA-30B-FP8)$Required array length:
1 - 6 elementsRequired array length:
1 - 6 elementsResponse
Successful Response
Server-persisted defaults for the capture / refine flow.
Pattern:
^(lipi|lipi-fast|lipi-bharat|lipi-live)$Pattern:
^(transcribe|translate)$Required range:
1 <= x <= 5Maximum string length:
2000Pattern:
^(BRAHMA-30B-FP8)$
